<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="affil" section="in-commerce:affiliates" title_preset="affiliates_list" pagination="1" tabs="in-commerce/affiliate_plans/affiliate_list_tabs"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();

				function edit()
				{
				  	std_edit_item('affil', 'in-commerce/affiliate_plans/affiliates_edit');
				}

				a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_ToolTip_New_Affiliate" escape="1"/>::<inp2:m_phrase label="la_ToolTip_Add" escape="1"/>',
						function() {
							std_precreate_item('affil', 'in-commerce/affiliate_plans/affiliates_edit')
						} ) );

				a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>', edit) );
				a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
						function() {
							std_delete_items('affil')
						} ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('approve', '<inp2:m_phrase label="la_ToolTip_Approve" escape="1"/>', function() {
							submit_event('affil','OnMassApprove');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarButton('decline', '<inp2:m_phrase label="la_ToolTip_Decline" escape="1"/>', function() {
							submit_event('affil','OnMassDecline');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function() {
							show_viewmenu(a_toolbar,'view');
						}
				) );

				a_toolbar.Render();

			</script>
		</td>

		<inp2:m_RenderElement name="search_main_toolbar" prefix="affil" grid="Default"/>
	</tr>
</tbody>
</table>

<inp2:m_DefineElement name="grid_userlink_td" format="">
	<a href="<inp2:UserLink edit_template='users/users_edit'/>" onclick="return direct_edit('<inp2:m_Param name="PrefixSpecial"/>', this.href);" title="<inp2:m_phrase name="la_Edit_User"/>"><inp2:Field field="$field" no_special="no_special" grid="$grid" format="$format"/></a>
</inp2:m_DefineElement>

<inp2:m_RenderElement name="grid" PrefixSpecial="affil" IdField="AffiliateId" grid="Default"/>
<script type="text/javascript">
	Grids['affil'].SetDependantToolbarButtons( new Array('edit','delete','approve','decline') );
</script>

<inp2:m_include t="incs/footer"/>